#ifndef USER_H
#define USER_H

#include <Wt/Dbo/Dbo.h>
#include <string>

class Post;
class User;
namespace Wt {
    namespace Dbo {
        template<>
        struct dbo_traits<User> : public dbo_default_traits {

            static const char *surrogateIdField() { return nullptr; }
        };
    }
}

class User
{
public:
    User();
    long long myid;
    std::string name;
    Wt::Dbo::collection< Wt::Dbo::ptr<Post> > posts;

    template<class Action>
    void persist(Action& a)
    {
        Wt::Dbo::id(a, myid, "myid");
        Wt::Dbo::field(a, name, "name");
        Wt::Dbo::hasMany(a, posts, Wt::Dbo::ManyToOne, "user");
    }
};

#endif // USER_H
