#include <Wt/Dbo/Dbo.h>
#include <Wt/Dbo/ptr.h>
#include <Wt/Dbo/backend/Sqlite3.h>
#include <string>

#include "user.h"
#include "post.h"
#include "sess.h"


int main(int argc, char *argv[])
{

    std::unique_ptr<Wt::Dbo::backend::Sqlite3> sqlite3(new Wt::Dbo::backend::Sqlite3(":memory:"));
    sqlite3->setProperty("show-queries", "true");
    Wt::Dbo::Session session;
    session.setConnection(std::move(sqlite3));

    session.mapClass<User>("user");
    session.mapClass<Post>("post");

    Wt::Dbo::ptr<User> a =  Sess::userById(1);

    a.modify()->name = "";

    return 0;
}
